import { SpriteFrame, TiledMapAsset } from "cc";
import { GameResData } from "../DataItem/ItemData";
import { dataMgr } from "../Frames/DataManager";
import { GameInfo } from "../GameInfo";
import { resMgr } from "../Frames/ResourcesMgr";

class GameResMgr{
    private _resData: GameResData[] = null;
    static instance: GameResMgr = null;

    async loadGameRes(){
        this._resData = dataMgr.getAllDataByName("RoleCardData");
            //await resMgr.load();
    }
}

export const gameResMgr: GameResMgr = GameResMgr.instance = new GameResMgr();

